/* style.css */

*{
  margin:0;
  padding:0;
  box-sizing:border-box;
  font-family:Arial, Helvetica, sans-serif;
}

body{
  overflow-x:hidden;
  background:black;
  color:white;
}

/* HERO */

.hero{
  width:100%;
  min-height:100vh;
  position:relative;
  overflow:hidden;
  display:flex;
  align-items:center;
  justify-content:center;
}

/* FONDO */

.bg{
  position:absolute;
  width:100%;
  height:100%;
  object-fit:cover;
  filter:brightness(0.35) blur(2px);
  transform:scale(1.05);
}

.overlay{
  position:absolute;
  inset:0;
  background:linear-gradient(
    to bottom,
    rgba(120,0,0,0.55),
    rgba(0,0,0,0.7)
  );
}

/* CONTAINER */

.container{
  position:relative;
  z-index:2;
  width:90%;
  max-width:1250px;
  display:flex;
  align-items:center;
  justify-content:space-between;
  gap:60px;
  padding:70px 0 140px;
  flex-wrap:wrap;
}

/* LEFT */

.left{
  flex:1;
  min-width:320px;
}

.badge{
  display:inline-block;
  background:#ff0000;
  color:white;
  padding:12px 24px;
  border-radius:999px;
  font-size:14px;
  font-weight:bold;
  margin-bottom:30px;
  box-shadow:0 0 25px rgba(255,0,0,0.5);
}

.mini-line{
  width:70px;
  height:5px;
  background:#ffb300;
  border-radius:999px;
  margin-bottom:30px;
}

h1{
  font-size:68px;
  line-height:1;
  font-weight:900;
  margin-bottom:28px;
}

h1 span{
  display:block;
  color:#ff2b2b;
  font-size: 35px;
}

.description{
  font-size:20px;
  line-height:1.7;
  color:#ececec;
  max-width:700px;
  margin-bottom:40px;
}

/* BUTTONS */

.buttons{
  display:flex;
  gap:18px;
  flex-wrap:wrap;
}

.btn{
  padding:18px 34px;
  border-radius:18px;
  text-decoration:none;
  font-size:18px;
  font-weight:bold;
  transition:0.3s;
}

.btn-primary{
  background:#ff1010;
  color:white;
  box-shadow:0 0 30px rgba(255,0,0,0.45);
}

.btn-primary:hover{
  transform:translateY(-4px);
  background:#d40000;
}

.btn-secondary{
  border:1px solid rgba(255,255,255,0.18);
  background:rgba(255,255,255,0.08);
  backdrop-filter:blur(10px);
  color:white;
}

.btn-secondary:hover{
  background:rgba(255,255,255,0.12);
}

/* BENEFITS */

.benefits-section{
  margin-top:50px;
  display:grid;
  grid-template-columns:repeat(3,1fr);
  gap:22px;
}

.benefit-card{
  background:rgba(255,255,255,0.08);
  border:1px solid rgba(255,255,255,0.12);
  backdrop-filter:blur(12px);
  border-radius:28px;
  padding:32px 24px;
  transition:0.3s;
  text-align:center;
  box-shadow:
    0 10px 30px rgba(0,0,0,0.18),
    inset 0 1px 0 rgba(255,255,255,0.05);
}

.benefit-card:hover{
  transform:translateY(-6px);
  background:rgba(255,255,255,0.12);
}

.benefit-icon{
  width:82px;
  height:82px;
  border-radius:26px;
  background:white;
  color:#ff1b1b;
  margin:auto;
  margin-bottom:22px;
  display:flex;
  align-items:center;
  justify-content:center;
  box-shadow:0 12px 30px rgba(0,0,0,0.18);
}

.benefit-icon svg{
  width:38px;
  height:38px;
}

.benefit-card h3{
  font-size:22px;
  margin-bottom:10px;
  color:white;
  font-weight:700;
}

.benefit-card p{
  font-size:15px;
  color:#dddddd;
  line-height:1.6;
  margin:0;
}

/* RIGHT */

.right{
  flex:1;
  min-width:300px;
  display:flex;
  align-items:center;
  justify-content:center;
}

.cart-box{
  position:relative;
  width:540px;
  max-width:100%;
  animation:float 4s ease-in-out infinite;
}

.cart-box img{
  width:100%;
  filter:drop-shadow(0 20px 30px rgba(0,0,0,0.5));
}

/* OFFER CARD */

.offer-card{
  position:absolute;
  top:25px;
  right:-50px;
  background:white;
  color:#111;
  padding:20px 26px;
  border-radius:24px;
  text-align:center;
  box-shadow:0 10px 30px rgba(0,0,0,0.3);
}

.offer-card h2{
  font-size:42px;
  color:#ff0000;
  margin-bottom:5px;
}

.offer-card span{
  font-size:14px;
  font-weight:bold;
  color:#666;
}

/* FOOTER */

.bottom-bar{
  position:absolute;
  bottom:0;
  width:100%;
  background:linear-gradient(to right,#b80000,#ff0000);
  padding:18px;
  text-align:center;
  font-weight:bold;
  z-index:5;
  box-shadow:0 -10px 30px rgba(0,0,0,0.25);
}

/* FLOAT */

@keyframes float{

  0%{
    transform:translateY(0px);
  }

  50%{
    transform:translateY(-12px);
  }

  100%{
    transform:translateY(0px);
  }

}

/* TABLET */

@media(max-width:950px){

  .container{
    flex-direction:column;
    text-align:center;
    gap:30px;
  }

  .mini-line{
    margin:auto;
    margin-bottom:30px;
  }

  h1{
    font-size:54px;
  }

  .description{
    margin:auto;
    margin-bottom:35px;
  }

  .buttons{
    justify-content:center;
  }

}

/* MOBILE */

@media(max-width:700px){

  .hero{
    min-height:auto;
  }

  .container{
    width:92%;
    padding:40px 0 130px;
    gap:25px;
  }

  h1{
    font-size:42px;
    line-height:1.05;
  }

  .description{
    font-size:17px;
    line-height:1.6;
  }

  .buttons{
    flex-direction:column;
    gap:14px;
  }

  .btn{
    width:100%;
    text-align:center;
    font-size:17px;
  }

  .benefits-section{
    grid-template-columns:1fr;
    gap:18px;
    margin-top:35px;
  }

  .benefit-card{
    padding:28px 22px;
  }

  .feature-icon{
    width:64px;
    height:64px;
    font-size:28px;
  }

  .cart-box{
    max-width:330px;
  }

  .offer-card{
    right:-5px;
    top:10px;
    padding:15px 18px;
  }

  .offer-card h2{
    font-size:30px;
  }

  .bottom-bar{
    font-size:13px;
    line-height:1.5;
    padding:15px 10px;
  }

}